package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.ResourceFollow;
import com.lightinit.hsdataplatform.entity.ResourceFollowExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ResourceFollowMapper {
    long countByExample(ResourceFollowExample example);

    int deleteByExample(ResourceFollowExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceFollow record);

    int insertSelective(ResourceFollow record);

    List<ResourceFollow> selectByExample(ResourceFollowExample example);

    ResourceFollow selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceFollow record, @Param("example") ResourceFollowExample example);

    int updateByExample(@Param("record") ResourceFollow record, @Param("example") ResourceFollowExample example);

    int updateByPrimaryKeySelective(ResourceFollow record);

    int updateByPrimaryKey(ResourceFollow record);
}